PETSc version 3.17.4
Fix/Edit manual page

# TSTrajectoryMemorySetType

sets the software that is used to generate the checkpointing schedule.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryMemorySetType(TSTrajectory tj,TSTrajectoryMemoryType tj_memory_type)

Logically Collective on TSTrajectory

### Input Parameters

| tj | - the TSTrajectory context
| tj_memory_type | - Revolve or CAMS

### Options Database Key

| -ts_trajectory_memory_type <tj_memory_type> | - petsc, revolve, cams

### Note

By default this will use Revolve if it exists

### Level

intermediate

### Location

src/ts/trajectory/impls/memory/trajmemory.c

### Implementations

TSTrajectoryMemorySetType_Memory in src/ts/trajectory/impls/memory/trajmemory.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages